# Uses of Class
ch.qos.logback.core.net.ssl.SSLConfiguration

Packages that use SSLConfiguration
Package
Description
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.classic.net.server
Provides a robust logging server
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.
ch.qos.logback.core.net.server
Contains the base classes used by logback to serve logging events to remote peers.
ch.qos.logback.core.net.ssl
Contains classes that create and configure a JSSE SSLContext needed for secure transport of logging events by SSLSocketAppender.

## Uses of SSLConfiguration in ch.qos.logback.classic.net

Methods in ch.qos.logback.classic.net that return SSLConfiguration
Modifier and Type
Method
Description
`SSLConfiguration`
SSLSocketReceiver.`getSsl()`
Gets the SSL configuration.
Methods in ch.qos.logback.classic.net with parameters of type SSLConfiguration
Modifier and Type
Method
Description
`void`
SSLSocketReceiver.`setSsl(SSLConfiguration ssl)`
Sets the SSL configuration.

## Uses of SSLConfiguration in ch.qos.logback.classic.net.server

Methods in ch.qos.logback.classic.net.server that return SSLConfiguration
Modifier and Type
Method
Description
`SSLConfiguration`
SSLServerSocketReceiver.`getSsl()`
Gets the server's SSL configuration.
Methods in ch.qos.logback.classic.net.server with parameters of type SSLConfiguration
Modifier and Type
Method
Description
`void`
SSLServerSocketReceiver.`setSsl(SSLConfiguration ssl)`
Gets the server's SSL configuration.

## Uses of SSLConfiguration in ch.qos.logback.core.net

Methods in ch.qos.logback.core.net that return SSLConfiguration
Modifier and Type
Method
Description
`SSLConfiguration`
AbstractSSLSocketAppender.`getSsl()`
Gets the SSL configuration.
Methods in ch.qos.logback.core.net with parameters of type SSLConfiguration
Modifier and Type
Method
Description
`void`
AbstractSSLSocketAppender.`setSsl(SSLConfiguration ssl)`
Sets the SSL configuration.

## Uses of SSLConfiguration in ch.qos.logback.core.net.server

Methods in ch.qos.logback.core.net.server that return SSLConfiguration
Modifier and Type
Method
Description
`SSLConfiguration`
SSLServerSocketAppenderBase.`getSsl()`
Gets the SSL configuration.
Methods in ch.qos.logback.core.net.server with parameters of type SSLConfiguration
Modifier and Type
Method
Description
`void`
SSLServerSocketAppenderBase.`setSsl(SSLConfiguration ssl)`
Sets the SSL configuration.

## Uses of SSLConfiguration in ch.qos.logback.core.net.ssl

Methods in ch.qos.logback.core.net.ssl that return SSLConfiguration
Modifier and Type
Method
Description
`SSLConfiguration`
SSLComponent.`getSsl()`
Methods in ch.qos.logback.core.net.ssl with parameters of type SSLConfiguration
Modifier and Type
Method
Description
`void`
SSLComponent.`setSsl(SSLConfiguration ssl)`